/**
  *  \file ui/widgets/button.h
  *  \brief UIButton widget
  *
  *  (c) 2001-2011 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_WIDGETS_BUTTON_H
#define PCC_V2_UI_WIDGETS_BUTTON_H

#include "ui/keystring.h"
#include "ui/widgets/abstractbutton.h"

/** Standard push-button. */
class UIButton : public UIAbstractButton {
    string_t name;
 public:
    UIButton(string_t aname, UIKey akey)
        : UIAbstractButton(akey), name(aname) { }
    UIButton(const UIKeyString& ks)
        : UIAbstractButton(ks.getKey()), name(ks.getString()) { }
    UIButton(int aid, string_t aname, UIKey akey)
        : UIAbstractButton(aid, akey), name(aname) { }
    UIButton(int aid, UIKeyString ks)
        : UIAbstractButton(aid, ks.getKey()), name(ks.getString()) { }
    ~UIButton();

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo&);

    const string_t& getName()
        { return name; }

    static void drawButton(GfxCanvas& can, GfxRect extent, const string_t& name, int flags);
};

#endif
